ลง pango-libthai บน testing ไม่ได้

ผมลงแล้วมันติด ว่าต้องใช้ pango1.0-modver-1.5.0 แต่มันดันเป็น virtual pkg นะสิ ทำยังไงดีครับ ตอนนี้มาใช้ epiphany แทน firefox ที่ค้างบ่อยแล้วกินจุมากๆ เปิดเวบที่มี flash ทีไรแทบจะค้างทุกที แต่ใช้ epiphany แล้วลื่นปรื๊ดเลย แต่ไม่ตัดคำซะงั้น

ขอบคุณ

pango-libthai ถูก merge เข้าใน upstream pango เรียบร้อยแล้วครับ จึงไม่จำเป็นต้องลงแพกเกจนี้อีก (อันที่จริง ผมได้ request ขอ remove ออกจาก debian pool ไปแล้วนา.. หรือว่าลงจากแหล่งอื่นครับ?)

ถ้าโปรแกรมอื่นใน GNOME เช่น gedit ตัดคำไทยได้ นั่นก็คือผลจาก pango ละครับ

ส่วน epiphany นั้น ผมได้ตกลงกับนิวตรอนว่า จะหยุด build xulrunner ที่ patch ให้ใช้ pango ตัดคำไปก่อน เนื่องจากมีข้อจำกัดเรื่องอาการค้างเมื่อ render หน้าที่มีภาษาไทยยาว ๆ อีกทั้ง firefox/iceweasel 3 และ xulrunner 1.9 ก็กำลังจะออก ซึ่ง Gecko engine ตัวใหม่นี้ มีการออกแบบใหม่ให้ตัดคำได้รวดเร็วกว่ารุ่นเดิมมาก

ตอนนี้ ทั้ง iceweasel 3.0~b5 และ xulrunner 1.9~b5 ก็อยู่ใน experimental แล้ว ถ้าจะลองใช้เลย ก็ลองติดตั้งดูได้ครับ หรือจะรออีกสักพักให้เข้า unstable แล้วไป testing ก็ได้ครับ

ขอบคุณครับ ผมลงจากที่นี่แหละครับ หุหุ

แต่ว่าผมลง iceweasel 3.0.5b ตอนใช้งานก็เยี่ยมมากๆๆ ตัดคำดีมีปัญหากับเวปที่มี flash นิดหน่อย แต่พอตอนปิด program เกิดอาการณืค้าง เหมือนว่าจะพยามปิดก็ปิดไม่ได้ ต้อง force quite ตลอดหรือรอซักนาที ถึงจะปิดได้ครับ

Creative Commons License ลิขสิทธิ์ของบทความเป็นของเจ้าของบทความแต่ละชิ้น
ผลงานนี้ ใช้สัญญาอนุญาตของครีเอทีฟคอมมอนส์แบบ แสดงที่มา-อนุญาตแบบเดียวกัน 3.0 ที่ยังไม่ได้ปรับแก้